package com.mortals.xhx.module.device.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.device.model.vo.DeviceWorkmanVo;
import lombok.Data;
/**
 * 设备工作人员信息实体对象
 *
 * @author zxfei
 * @date 2023-12-04
 */
@Data
public class DeviceWorkmanEntity extends DeviceWorkmanVo {
    private static final long serialVersionUID = 1L;

    /**
     * 工作人员id
     */
    private Long workmanId;
    /**
     * 工作人员名称
     */
    @Excel(name = "工作人员名称")
    private String workmanName;
    /**
     * 照片
     */
    private String photoPath;
    /**
     * 备注
     */
    private String remark;
    /**
     * 设备id
     */
    private Long deviceId;
    /**
     * 设备编码
     */
    @Excel(name = "设备编码")
    private String deviceCode;
    /**
     * 设备名称
     */
    @Excel(name = "设备名称")
    private String deviceName;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeviceWorkmanEntity) {
            DeviceWorkmanEntity tmp = (DeviceWorkmanEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.workmanId = null;
        this.workmanName = "";
        this.photoPath = "";
        this.remark = "";
        this.deviceId = null;
        this.deviceCode = "";
        this.deviceName = "";
    }
}